### Function

# FwupdPlugin byte_array_set_size

#### Declaration [src]

    void
    fu_byte_array_set_size (
      GByteArray* array,
      gsize length,
      guint8 data
    )

#### Description [src]

Sets the size of the GByteArray, expanding with `data` as required.

Available since: | 1.8.2

#### Parameters

`array` | An array of `guint8`
| A `GByteArray`.
| The data is owned by the caller of the function.
`length` | `gsize`
| The new size of the GByteArray.
`data` | `guint8`
| The byte used to pad the array.